[Numpy-discussion] Request for testing

Robert Pyle rpyle@post.harvard....
Sun Feb 21 08:00:40 CST 2010


My machine is a PPC dual G5, running Mac OS X 10.5.8

~ $ python
Python 2.5.4 (r254:67917, Dec 23 2008, 14:57:27)
[GCC 4.0.1 (Apple Computer, Inc. build 5363)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
 >>> import numpy as np
 >>> import warnings
 >>>
 >>> warnings.simplefilter('always')
 >>> np.seterr(invalid='print')
{'over': 'ignore', 'divide': 'ignore', 'invalid': 'ignore', 'under':  
'ignore'}
 >>> print (np.isinf(np.inf))
True
 >>> np.__version__
'1.4.0.dev7577'
 >>>


On Feb 21, 2010, at 5:30 AM, Charles R Harris wrote:

> Hi All,
>
> I would be much obliged if some folks would run the attached script  
> and report the output, numpy version, and python version. It just  
> runs np.isinf(np.inf), which raises an "invalid value" warning with  
> current numpy. As far as I can see the function itself hasn't  
> changed since numpy1.3, yet numpy1.3 & python2.5 gives no such  
> warning.
>
> Chuck
> <isinf.py>_______________________________________________
> NumPy-Discussion mailing list
> NumPy-Discussion@scipy.org
> http://mail.scipy.org/mailman/listinfo/numpy-discussion



More information about the NumPy-Discussion mailing list